blob: efaa2619652db031f4b5e572705e2bde68ceb40e [file] [log] [blame]
# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g. crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)
[package]
name = "h2"
version = "0.1.13"
authors = ["Carl Lerche <me@carllerche.com>"]
exclude = ["fixtures/**"]
description = "An HTTP/2.0 client and server"
homepage = "https://github.com/carllerche/h2"
documentation = "http://rust-doc.s3-website-us-east-1.amazonaws.com/h2/v0.1.13/h2"
readme = "README.md"
keywords = ["http", "async", "non-blocking"]
categories = ["asynchronous", "web-programming", "network-programming"]
license = "MIT"
repository = "https://github.com/carllerche/h2"
[dependencies.byteorder]
version = "1.0"
[dependencies.bytes]
version = "0.4.7"
[dependencies.fnv]
version = "1.0.5"
[dependencies.futures]
version = "0.1"
[dependencies.http]
version = "0.1.8"
[dependencies.indexmap]
version = "1.0"
[dependencies.log]
version = "0.4.1"
[dependencies.slab]
version = "0.4.0"
[dependencies.string]
version = "0.1"
[dependencies.tokio-io]
version = "0.1.4"
[dev-dependencies.env_logger]
version = "0.5.3"
default-features = false
[dev-dependencies.hex]
version = "0.2.0"
[dev-dependencies.quickcheck]
version = "0.4.1"
default-features = false
[dev-dependencies.rand]
version = "0.3.15"
[dev-dependencies.rustls]
version = "0.12"
[dev-dependencies.serde]
version = "1.0.0"
[dev-dependencies.serde_json]
version = "1.0.0"
[dev-dependencies.tokio]
version = "0.1.8"
[dev-dependencies.tokio-rustls]
version = "0.5.0"
[dev-dependencies.walkdir]
version = "1.0.0"
[dev-dependencies.webpki]
version = "0.18.0-alpha"
[dev-dependencies.webpki-roots]
version = "0.14"
[features]
unstable = []
[badges.travis-ci]
branch = "master"
repository = "carllerche/h2"